> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts statements for the given client



## OpenAPI

````yaml /openapi-v2.json get /api/v2/statements/list
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/statements/list:
    get:
      tags:
        - statement-api
      summary: List accounts statements for the given client
      operationId: listStatements
      parameters:
        - name: filter
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/StatementFilter'
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Statements were successfully retrieved
          content:
            '*/*':
              schema:
                type: string
        '403':
          description: Failed to retrieve statements
          content:
            '*/*':
              schema:
                type: string
components:
  schemas:
    StatementFilter:
      type: object
      properties:
        username:
          type: string
        bankAccountId:
          type: integer
          format: int64
        accountId:
          type: integer
          format: int64
        from:
          type: string
          description: MM/dd/yyyy
        to:
          type: string
          description: MM/dd/yyyy
        page:
          type: integer
          format: int32
          maximum: 2147483647
          minimum: 0
        addOn:
          type: boolean
        source:
          type: string
          description: >-
            Bank-data provider: FINICITY (default) or MX. Takes precedence over
            addOn.
          enum:
            - DEFAULT
            - FINICITY
            - FDE
            - MX

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.